Bug 138558 - [MAINTAINER] devel/shapelib: update to 1.3.0a2
Summary: [MAINTAINER] devel/shapelib: update to 1.3.0a2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-05 22:50 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2009-09-09 12:20 UTC (History)
0 users

See Also:


Attachments
shapelib-1.3.0.patch (9.78 KB, patch)
2009-09-05 22:50 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2009-09-05 22:50:04 UTC
- Update to 1.3.0a2

Removed file(s):
- files/patch-contrib-shpgeo.c
- files/patch-shputils.c

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-09-05 22:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->chinsan

chinsan@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-09-05 23:04:34 UTC
Responsible Changed
From-To: chinsan->miwi

I'll take it.
Comment 3 Sunpoet Po-Chuan Hsieh 2009-09-05 23:32:46 UTC
Please add the following diff to original patch, thanks.

--- /usr/ports/devel/shapelib/pkg-plist	2008-02-25 17:36:31.000000000 +0800
+++ /usr/ports/sunpoet/shapelib/pkg-plist	2009-09-06 05:47:32.000000000 +0800
@@ -13,10 +13,12 @@
 bin/shpcat
 bin/shpdxf
 bin/shpfix
+bin/Shape_PointInPoly
 %%PROJ4%%bin/shpcentrd
 %%PROJ4%%bin/shpdata
 %%PROJ4%%bin/shpinfo
 %%PROJ4%%bin/shpproj
+%%PROJ4%%bin/shpsort
 %%PROJ4%%bin/shpwkb
 include/shapefil.h
 lib/libshp.a

- Sunpoet
Comment 4 Martin Wilke freebsd_committer 2009-09-09 10:19:24 UTC
State Changed
From-To: open->feedback

build failed 
http://64bit.miwibox.org/index.php?action=describe_port&id=1730
Comment 5 dfilter service freebsd_committer 2009-09-09 12:14:26 UTC
miwi        2009-09-09 11:14:18 UTC

  FreeBSD ports repository

  Modified files:
    devel/shapelib       Makefile distinfo pkg-plist 
    devel/shapelib/files patch-Makefile patch-contrib-Makefile 
                         patch-shapefil.h 
  Removed files:
    devel/shapelib/files patch-shputils.c 
  Log:
  - Update to 1.3.0a2
  
  PR:             138558
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net> (maintainer)
  
  Revision  Changes    Path
  1.21      +7 -4      ports/devel/shapelib/Makefile
  1.5       +3 -3      ports/devel/shapelib/distinfo
  1.4       +23 -16    ports/devel/shapelib/files/patch-Makefile
  1.2       +15 -11    ports/devel/shapelib/files/patch-contrib-Makefile
  1.2       +3 -3      ports/devel/shapelib/files/patch-shapefil.h
  1.2       +0 -20     ports/devel/shapelib/files/patch-shputils.c (dead)
  1.5       +7 -1      ports/devel/shapelib/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2009-09-09 12:15:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!